import { Component } from '@angular/core';

@Component({
  selector: 'app-tab1',
  templateUrl: 'tab1.page.html',
  styleUrls: ['tab1.page.scss'],
  standalone: false,
})
export class Tab1Page {
  isDark = false;
  currentTime = this.formatTime(new Date());
  dynamicStats = [
    { value: '12h', label: '活跃时长' },
    { value: '7.5h', label: '深睡时长' },
    { value: '12.5km', label: '周跑量' }
  ];
  smartRecommendation = '根据您的运动习惯，推荐进行HIIT训练';
  socialFeed = [
    { 
      user: { 
        avatar: 'assets/avatars/avatar1.png', 
        nickname: '健身达人' 
      }, 
      content: '完成今日挑战！#FitLife', 
      likes: 24, 
      comments: 8 
    },
    { 
      user: { 
        avatar: 'assets/avatars/avatar2.png', 
        nickname: '运动小白' 
      }, 
      content: '第一次完成5公里！', 
      likes: 15, 
      comments: 5 
    }
  ];

  constructor() {
    setInterval(() => {
      this.currentTime = this.formatTime(new Date());
    }, 1000);
  }

  private formatTime(date: Date): string {
    return `${date.getHours()}:${date.getMinutes().toString().padStart(2, '0')}`;
  }

  toggleTheme() {
    this.isDark = !this.isDark;
    document.body.classList.toggle('dark', this.isDark);
  }

  startSmartPlan() {
    alert(`开始${this.smartRecommendation}`);
  }
}